Bug 1269152 - rhsmcertd does not trigger entitlement certificate regeneration when content changes
rhsmcertd does not trigger entitlement certificate regeneration when content ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks: 1207433
  Show dependency treegraph
 
Reported: 2015-10-06 09:13 EDT by Filip Nguyen
Modified: 2016-03-17 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 04:51:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Nguyen 2015-10-06 09:13:11 EDT
When content changes some commands such as [1] will trigger regeneration of entitlement certs in case the content changed. This will subsequently update [2]

I suspect that rhsmcertd should do this proactively but I have not yet been able to observe it.

[1] repos --list
[2] /etc/yum.repos.d/redhat.repo
Comment 3 Barnaby Court 2015-11-20 10:52:01 EST
Why should this be done proactively vs. the yum plugin taking care of it? Can you provide an example of where the current behavior would impact a customer?
Comment 4 Filip Nguyen 2015-11-30 04:51:02 EST
Yes if yum plugin takes care of this it is fine. I was just afraid that some code paths might not be covered (such as when the certs are needed for yum)

Note You need to log in before you can comment on or make changes to this bug.